POST V1/GHG.{ext}/CreateAsset

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.GHG.Entities.Asset
NameDescriptionTypeAdditional information
AssetId

No description available

integer

None.

AssetCategoryId

No description available

integer

None.

AssetName

No description available

string

None.

AssetNumber

No description available

string

None.

GroupId

No description available

integer

None.

GroupName

No description available

string

None.

SiteId

No description available

integer

None.

SiteNumber

No description available

string

None.

SiteName

No description available

string

None.

Status

No description available

string

None.

SourceFrom

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "assetId": 1,
  "assetCategoryId": 1,
  "assetName": "sample string 1",
  "assetNumber": "sample string 2",
  "groupId": 1,
  "groupName": "sample string 3",
  "siteId": 1,
  "siteNumber": "sample string 4",
  "siteName": "sample string 5",
  "status": "sample string 6",
  "sourceFrom": "sample string 7"
}

application/xml, text/xml

Sample:
<Asset xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.GHG.Entities">
  <AssetCategoryId>1</AssetCategoryId>
  <AssetId>1</AssetId>
  <AssetName>sample string 1</AssetName>
  <AssetNumber>sample string 2</AssetNumber>
  <GroupId>1</GroupId>
  <GroupName>sample string 3</GroupName>
  <SiteId>1</SiteId>
  <SiteName>sample string 5</SiteName>
  <SiteNumber>sample string 4</SiteNumber>
  <SourceFrom>sample string 7</SourceFrom>
  <Status>sample string 6</Status>
</Asset>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.